Bug 7141 - The biblio details page in the intranet doesn't work if XSLT is activated and the xsl file contains " "
Summary: The biblio details page in the intranet doesn't work if XSLT is activated and...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Frédérick Capovilla
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 16608
  Show dependency treegraph
 
Reported: 2011-11-02 15:16 UTC by Frédérick Capovilla
Modified: 2016-05-27 08:40 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Correct a problem when translations contain   in MARC21 XSL file. (1.10 KB, patch)
2011-11-02 15:16 UTC, Frédérick Capovilla
Details | Diff | Splinter Review
Signed-off patch (1.21 KB, patch)
2011-11-02 15:42 UTC, Frédéric Demians
Details | Diff | Splinter Review
Follow-up patch : Corrects other xsl files so   doesn't cause problems. (10.22 KB, patch)
2011-11-02 20:57 UTC, Frédérick Capovilla
Details | Diff | Splinter Review
Signed-off follow-up patch (10.37 KB, patch)
2011-11-03 05:47 UTC, Frédéric Demians
Details | Diff | Splinter Review
Second Follow-up : Add nbsb support to all xsl files (12.20 KB, patch)
2011-11-29 14:58 UTC, Frédérick Capovilla
Details | Diff | Splinter Review
Group the 3 patches (23.26 KB, patch)
2011-11-30 08:32 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 7184 : Changing test to match new formatting of xsl style sheet (1.08 KB, patch)
2011-12-07 20:29 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7141 : Changing test to match new formatting of xsl style sheet (1.08 KB, patch)
2011-12-07 20:30 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7141 : Changing test to match new formatting of xsl style sheet (1.18 KB, patch)
2011-12-07 20:42 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédérick Capovilla 2011-11-02 15:16:40 UTC Comment hidden (obsolete)
Comment 1 Frédérick Capovilla 2011-11-02 15:17:46 UTC
Patch sponsored by the CCSR ( http://www.ccsr.qc.ca ).
Comment 2 Frédéric Demians 2011-11-02 15:42:47 UTC Comment hidden (obsolete)
Comment 3 Frédérick Capovilla 2011-11-02 20:57:53 UTC Comment hidden (obsolete)
Comment 4 Frédéric Demians 2011-11-03 05:47:42 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2011-11-28 10:59:03 UTC
QA Comment:
Test plan could have been helpful. Now I added   somewhere to let Koha break and your patch resolved it.

These patches only add the entity definition of nbsp to xsl files. I only came across this warning: 
[A word of caution: some XML-related tools will try to validate the XSLT stylesheet if they see the DOCTYPE. Since the DTD subset does not include definitions for all the XSLT elements, validation errors will be reported.]

Another point is that this patch adds this definition to a selected set of stylesheets. You could ask that if you want to add this definition, why not do it in all stylesheets? The current selection is based on an assumption that might perhaps not cover all cases.

Although I would not oppose pushing this patch (with these notes), I am asking Ian as QAM to update the status, if he agrees too.
Comment 6 Frédérick Capovilla 2011-11-29 14:58:09 UTC Comment hidden (obsolete)
Comment 7 Frédéric Demians 2011-11-30 08:32:27 UTC Comment hidden (obsolete)
Comment 8 Ian Walls 2011-12-01 12:24:58 UTC
This solution has already been implemented in UNIMARC XSLTs, and MARC21 OPAC XSLT, so implementing it for the rest of the MARC21 style sheets would be consistent.  Marking as Passed QA.
Comment 9 Paul Poulain 2011-12-06 11:19:40 UTC
patch pushed, please test (hugin will be happy ;-) )
Comment 10 Chris Cormack 2011-12-07 20:29:26 UTC Comment hidden (obsolete)
Comment 11 Chris Cormack 2011-12-07 20:30:34 UTC Comment hidden (obsolete)
Comment 12 Liz Rea 2011-12-07 20:42:58 UTC
Created attachment 6644 [details] [review]
Bug 7141 : Changing test to match new formatting of xsl style sheet

http://bugs.koha-community.org/show_bug.cgi?id=7141
Signed-off-by: Liz Rea <wizzyrea@gmail.com>
verified tests pass
Comment 13 Paul Poulain 2011-12-14 13:24:02 UTC
unless i've missed something, the attached patch has been pushed already
Comment 14 Jared Camins-Esakov 2012-05-23 12:27:04 UTC
Included in the 3.6 branch prior to 3.6.4.